Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.SplitDocumentInfo Class Reference
Inheritance diagram for foxit.pdf.SplitDocumentInfo:

## Public Member Functions
| SplitDocumentInfo (string file_path, string password)
| Constructor, with parameters. More...
| SplitDocumentInfo (FileReaderCallback file_reader, string password, string file_name)
| Constructor, with parameters. More...
| SplitDocumentInfo (PDFDoc doc, string file_name)
| Constructor, with parameters. More...
| SplitDocumentInfo (SplitDocumentInfo other)
| Constructor, with another information object. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents information of source PDF document which is to be split.

## Constructor & Destructor Documentation

## ◆ SplitDocumentInfo() [1/4]

foxit.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | string | file_path,
|  | string | password
| ) |  |
| inline

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function SplitPDFDoc.StartSplitByFileSize .

Parameters

  [in] | file_path | File path of a PDF file, which is to be split.
  [in] | password | Owner password of PDF file which is specified by parameter file_path.

## ◆ SplitDocumentInfo() [2/4]

foxit.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | FileReaderCallback | file_reader,
|  | string | password,
|  | string | file_name
| ) |  |
| inline

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function SplitPDFDoc.StartSplitByFileSize .

Parameters

  [in] | file_reader | A foxit.common.fxcrt.FileReaderCallback object which is implemented by user to be split.It should not be null.
  [in] | password | Owner password of PDF file which is specified by parameter file_reader.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [3/4]

foxit.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | PDFDoc | doc,
|  | string | file_name
| ) |  |
| inline

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function SplitPDFDoc.StartSplitByFileSize .

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be split. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [4/4]

foxit.pdf.SplitDocumentInfo.SplitDocumentInfo | ( | SplitDocumentInfo | other | ) |
| inline

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit.pdf.SplitDocumentInfo.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.